Skip to main content
GET
/
v1
/
wallets
/
{walletId}
Get Wallet
curl --request GET \
  --url https://api.beta.getpara.com/v1/wallets/{walletId} \
  --header 'X-API-Key: <api-key>'
{
  "id": "0a1b2c3d-4e5f-6789-abcd-ef0123456789",
  "type": "EVM",
  "scheme": "DKLS",
  "status": "creating",
  "createdAt": "2024-01-15T09:30:00Z",
  "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f...",
  "publicKey": "<string>"
}

Authorizations

X-API-Key
string
header
default:beta_239a31fee5298dc110ee6a78e274b809
required

Your partner secret key (server-side only)

Headers

X-Request-Id
string<uuid>

UUID for request tracing. Para returns one if omitted.

Path Parameters

walletId
string
required

Wallet ID

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

Response

Wallet details

id
string<uuid>
required

Unique wallet identifier

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

type
enum<string>
required

Blockchain network type

Available options:
EVM,
SOLANA,
COSMOS
Example:

"EVM"

scheme
enum<string>
required

Signature scheme

Available options:
DKLS,
CGGMP,
ED25519
Example:

"DKLS"

status
enum<string>
required

Wallet creation status

Available options:
creating,
ready
createdAt
string<date-time>
required

ISO 8601 timestamp

Example:

"2024-01-15T09:30:00Z"

address
string | null

Wallet address (available when status is ready)

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f..."

publicKey
string | null

Public key (available when status is ready)